## visad.paoloa
Class PCS

    java.lang.Object
      visad.paoloa.PCS

All Implemented Interfaces:
  ActionListener, DisplayListener, EventListener, ScalarMapListener

public class PCS
extends Object
implements ActionListener, ScalarMapListener, DisplayListener

Field Summary
`(package private) FunctionType` `b1_func`
`(package private) DataReferenceImpl` `b1_ref`
`(package private) DataReferenceImpl` `b1d_ref`
`(package private) DataReferenceImpl` `b1r_ref`
`(package private) FunctionType` `b2_func`
`(package private) DataReferenceImpl` `b2_ref`
`(package private) DataReferenceImpl` `b2d_ref`
`(package private) DataReferenceImpl` `b2r_ref`
`(package private) FunctionType` `b3_func`
`(package private) DataReferenceImpl` `b3_ref`
`(package private) DataReferenceImpl` `b3d_ref`
`(package private) DataReferenceImpl` `b3r_ref`
`(package private) RealType` `band`
`(package private) Linear1DSet` `band_set`
`(package private) RealType` `band1`
`(package private) float` `band1_hi`
`(package private) RealType` `band1_kur`
`(package private) float` `band1_lo`
`(package private) RealType` `band1_mean`
`(package private) RealType` `band1_nu`
`(package private) Gridded1DSet` `band1_set`
`(package private) RealType` `band2`
`(package private) float` `band2_hi`
`(package private) RealType` `band2_kur`
`(package private) float` `band2_lo`
`(package private) RealType` `band2_mean`
`(package private) RealType` `band2_nu`
`(package private) Gridded1DSet` `band2_set`
`(package private) RealType` `band3`
`(package private) float` `band3_hi`
`(package private) RealType` `band3_kur`
`(package private) float` `band3_lo`
`(package private) RealType` `band3_mean`
`(package private) RealType` `band3_nu`
`(package private) Gridded1DSet` `band3_set`
`(package private) RealType` `channels`
`(package private) Vector` `cMaps_b1`
`(package private) Vector` `cMaps_b2`
`(package private) Vector` `cMaps_b3`
`(package private) DisplayImpl` `displayb1`
`(package private) DisplayImpl` `displayb2`
`(package private) DisplayImpl` `displayb3`
`(package private) DisplayImpl` `displayll`
`(package private) Linear2DSet` `eigen_set`
`(package private) float[][]` `eigen_values`
`(package private) FlatField` `eigen_vectors`
`(package private) Tuple` `file_data`
`static int` `HEIGHT`
`(package private) ScalarMap` `kur1_rgb`
`(package private) ScalarMap` `kur2_rgb`
`(package private) ScalarMap` `kur3_rgb`
`(package private) RealType` `latitude`
`(package private) RealTupleType` `latlon`
`(package private) FunctionType` `latlon_func`
`(package private) ScalarMap` `latmap`
`(package private) RealType` `levels`
`(package private) Linear1DSet` `levels_set`
`(package private) FlatField` `ll_field`
`(package private) DataReferenceImpl` `ll_ref`
`(package private) RealTuple[]` `ll_select`
`(package private) float[][]` `lls`
`(package private) RealType` `longitude`
`(package private) ScalarMap` `lonmap`
`(package private) DataReferenceImpl` `map_ref`
`(package private) float[][]` `mean_values`
`(package private) FlatField` `means`
`(package private) FunctionType` `n1_func`
`(package private) DataReferenceImpl` `n1_ref`
`(package private) DataReferenceImpl` `n1r_ref`
`(package private) FunctionType` `n2_func`
`(package private) DataReferenceImpl` `n2_ref`
`(package private) DataReferenceImpl` `n2r_ref`
`(package private) FunctionType` `n3_func`
`(package private) DataReferenceImpl` `n3_ref`
`(package private) DataReferenceImpl` `n3r_ref`
`(package private) int` `nbands`
`(package private) int` `nchannels`
`(package private) int` `nlevels`
`(package private) RealType` `noise_band1`
`(package private) RealType` `noise_band2`
`(package private) RealType` `noise_band3`
`(package private) int` `npcs`
`(package private) int` `ntimes`
`(package private) DataReferenceImpl` `num_eigen_ref`
`(package private) RealType` `numpcs`
`(package private) RealType` `pressure`
`(package private) FlatField` `pressures`
`(package private) Gridded1DSet` `pressureSet`
`(package private) RealType` `princ_comp`
`(package private) RealType` `scatter_index`
`(package private) RealTupleType` `scatter_range_b1`
`(package private) RealTupleType` `scatter_range_b2`
`(package private) RealTupleType` `scatter_range_b3`
`(package private) FunctionType` `scatter_type_b1`
`(package private) FunctionType` `scatter_type_b2`
`(package private) FunctionType` `scatter_type_b3`
`(package private) DataReferenceImpl` `select_ll_ref`
`(package private) Vector` `sMaps_b1`
`(package private) Vector` `sMaps_b2`
`(package private) Vector` `sMaps_b3`
`(package private) FunctionType` `temp_profile`
`(package private) DataReferenceImpl` `temp_ref`
`(package private) RealType` `temperature`
`(package private) RealType` `time`
`(package private) DataReferenceImpl` `time_ref`
`(package private) FieldImpl` `time_series`
`(package private) Linear1DSet` `time_set`
`(package private) int` `toggle`
`(package private) FlatField[]` `tp`
`(package private) RealType` `watervapor`
`static int` `WIDTH` the width and height of the UI frame
`(package private) FunctionType` `wv_profile`
`(package private) DataReferenceImpl` `wv_ref`
`(package private) FlatField[]` `wvp`
`(package private) DataReferenceImpl` `zero_b1_ref`
`(package private) DataReferenceImpl` `zero_b2_ref`
`(package private) DataReferenceImpl` `zero_b3_ref`

Constructor Summary
`PCS(String filename)`

Method Summary
`void` `actionPerformed(ActionEvent e)`
`void` `controlChanged(ScalarMapControlEvent evt)` Receive a `ScalarMapEvent` when the map control changes.
`void` `displayChanged(DisplayEvent evt)` send a DisplayEvent to this DisplayListener
`static void` `main(String[] args)`
`void` `mapChanged(ScalarMapEvent evt)` Receive a `ScalarMapEvent` when the map data changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WIDTH

    public static int WIDTH

  the width and height of the UI frame

### HEIGHT

    public static int HEIGHT

### ntimes

    int ntimes

### nbands

    int nbands

### npcs

    int npcs

### nchannels

    int nchannels

### nlevels

    int nlevels

### file_data

    Tuple file_data

### time_series

    FieldImpl time_series

### eigen_vectors

    FlatField eigen_vectors

### means

    FlatField means

### pressures

    FlatField pressures

### time

    RealType time

### band

    RealType band

### band1

    RealType band1

### band2

    RealType band2

### band3

    RealType band3

### noise_band1

    RealType noise_band1

### noise_band2

    RealType noise_band2

### noise_band3

    RealType noise_band3

### latitude

    RealType latitude

### longitude

    RealType longitude

### levels

    RealType levels

### temperature

    RealType temperature

### watervapor

    RealType watervapor

### numpcs

    RealType numpcs

### channels

    RealType channels

### princ_comp

    RealType princ_comp

### band1_nu

    RealType band1_nu

### band2_nu

    RealType band2_nu

### band3_nu

    RealType band3_nu

### band1_mean

    RealType band1_mean

### band2_mean

    RealType band2_mean

### band3_mean

    RealType band3_mean

### band1_kur

    RealType band1_kur

### band2_kur

    RealType band2_kur

### band3_kur

    RealType band3_kur

### pressure

    RealType pressure

### time_set

    Linear1DSet time_set

### band_set

    Linear1DSet band_set

### eigen_set

    Linear2DSet eigen_set

### levels_set

    Linear1DSet levels_set

### band1_set

    Gridded1DSet band1_set

### band2_set

    Gridded1DSet band2_set

### band3_set

    Gridded1DSet band3_set

### time_ref

    DataReferenceImpl time_ref

### num_eigen_ref

    DataReferenceImpl num_eigen_ref

### b1_ref

    DataReferenceImpl b1_ref

### b1r_ref

    DataReferenceImpl b1r_ref

### b1d_ref

    DataReferenceImpl b1d_ref

### b2_ref

    DataReferenceImpl b2_ref

### b2r_ref

    DataReferenceImpl b2r_ref

### b2d_ref

    DataReferenceImpl b2d_ref

### b3_ref

    DataReferenceImpl b3_ref

### b3r_ref

    DataReferenceImpl b3r_ref

### b3d_ref

    DataReferenceImpl b3d_ref

### n1_ref

    DataReferenceImpl n1_ref

### n1r_ref

    DataReferenceImpl n1r_ref

### n2_ref

    DataReferenceImpl n2_ref

### n2r_ref

    DataReferenceImpl n2r_ref

### n3_ref

    DataReferenceImpl n3_ref

### n3r_ref

    DataReferenceImpl n3r_ref

### ll_ref

    DataReferenceImpl ll_ref

### select_ll_ref

    DataReferenceImpl select_ll_ref

### map_ref

    DataReferenceImpl map_ref

### temp_ref

    DataReferenceImpl temp_ref

### wv_ref

    DataReferenceImpl wv_ref

### b1_func

    FunctionType b1_func

### b2_func

    FunctionType b2_func

### b3_func

    FunctionType b3_func

### n1_func

    FunctionType n1_func

### n2_func

    FunctionType n2_func

### n3_func

    FunctionType n3_func

### latlon

    RealTupleType latlon

### latlon_func

    FunctionType latlon_func

### temp_profile

    FunctionType temp_profile

### wv_profile

    FunctionType wv_profile

### eigen_values

    float[][] eigen_values

### mean_values

    float[][] mean_values

### pressureSet

    Gridded1DSet pressureSet

### ll_field

    FlatField ll_field

### ll_select

    RealTuple[] ll_select

### tp

    FlatField[] tp

### wvp

    FlatField[] wvp

### displayb1

    DisplayImpl displayb1

### displayb2

    DisplayImpl displayb2

### displayb3

    DisplayImpl displayb3

### displayll

    DisplayImpl displayll

### sMaps_b1

    Vector sMaps_b1

### cMaps_b1

    Vector cMaps_b1

### sMaps_b2

    Vector sMaps_b2

### cMaps_b2

    Vector cMaps_b2

### sMaps_b3

    Vector sMaps_b3

### cMaps_b3

    Vector cMaps_b3

### toggle

    int toggle

### band1_lo

    float band1_lo

### band1_hi

    float band1_hi

### band2_lo

    float band2_lo

### band2_hi

    float band2_hi

### band3_lo

    float band3_lo

### band3_hi

    float band3_hi

### lls

    float[][] lls

### scatter_range_b1

    RealTupleType scatter_range_b1

### scatter_range_b2

    RealTupleType scatter_range_b2

### scatter_range_b3

    RealTupleType scatter_range_b3

### scatter_index

    RealType scatter_index

### scatter_type_b1

    FunctionType scatter_type_b1

### scatter_type_b2

    FunctionType scatter_type_b2

### scatter_type_b3

    FunctionType scatter_type_b3

### kur1_rgb

    final ScalarMap kur1_rgb

### kur2_rgb

    final ScalarMap kur2_rgb

### kur3_rgb

    final ScalarMap kur3_rgb

### zero_b1_ref

    DataReferenceImpl zero_b1_ref

### zero_b2_ref

    DataReferenceImpl zero_b2_ref

### zero_b3_ref

    DataReferenceImpl zero_b3_ref

### lonmap

    ScalarMap lonmap

### latmap

    ScalarMap latmap

Constructor Detail

### PCS

    public PCS(String filename)
        throws VisADException,
               RemoteException,
               IOException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException,
                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### mapChanged

    public void mapChanged(ScalarMapEvent evt)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `ScalarMapListener`
  Receive a `ScalarMapEvent` when the map data changes.

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `evt` - the event
  Throws:
    `RemoteException` - If there was an RMI-related problem.
    `VisADException` - If there is a problem notifying this listener.

### controlChanged

    public void controlChanged(ScalarMapControlEvent evt)

  Description copied from interface: `ScalarMapListener`
  Receive a `ScalarMapEvent` when the map control changes.

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `evt` - the event

### displayChanged

    public void displayChanged(DisplayEvent evt)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `DisplayListener`
  send a DisplayEvent to this DisplayListener

  Specified by:
    `displayChanged` in interface `DisplayListener`
  Parameters:
    `evt` - DisplayEvent to send
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred